#
# spec file for package perl-Convert-UUlib (Version 0.31)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         perl-Convert-UUlib
License:      GPL, Artistic License
Group:        Development/Libraries/Perl
Provides:     p_conulb
Obsoletes:    p_conulb
Requires:     perl = %{perl_version}
Autoreqprov:  on
Summary:      Perl interface to the uulib library
Version:      0.31
Release:      106
Source:       Convert-UUlib-%{version}.tar.gz
Patch1:       Convert-UUlib-0.31.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Perl interface to the uulib library



Authors:
--------
    Marc Lehmann <pcg@goof.com>

%prep
%setup -n Convert-UUlib-%{version}
%patch1
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
make test
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%dir %{perl_vendorarch}/Convert
%{perl_vendorarch}/Convert/UUlib.pm
%dir %{perl_vendorarch}/auto/Convert
%{perl_vendorarch}/auto/Convert/UUlib
%doc /usr/share/man/man3/Convert::UUlib.3pm.gz
/var/adm/perl-modules/perl-Convert-UUlib
%doc COPYING COPYING.Artistic COPYING.GNU Changes MANIFEST README example-decoder doc

%changelog -n perl-Convert-UUlib
* Tue May 03 2005 - schubi@suse.de
- Bug 81068 - VUL-0: perl-Convert-UUlib buffer overflow
  CAN-2005-1349
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jun 17 2003 - choeger@suse.de
- updated filelist
- update to version 0.31
* Mon May 19 2003 - choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
* Mon Aug 05 2002 - link@suse.de
- updated to 0.213
- overhauled spec file
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Sun Jan 13 2002 - link@suse.de
- update to v0.201
* Wed Nov 15 2000 - choeger@suse.de
- long package name
- buildroot
* Wed Jul 19 2000 - choeger@suse.de
- first package, v0.11
